import request from '@/utils/request'

// 查询洗眼器列表
export function listEyewash(query) {
  return request({
    url: '/dev/eyewash/list',
    method: 'get',
    params: query
  })
}

// 查询洗眼器详细
export function getEyewash(id) {
  return request({
    url: '/dev/eyewash/' + id,
    method: 'get'
  })
}

// 新增洗眼器
export function addEyewash(data) {
  return request({
    url: '/dev/eyewash',
    method: 'post',
    data: data
  })
}

// 修改洗眼器
export function updateEyewash(data) {
  return request({
    url: '/dev/eyewash',
    method: 'put',
    data: data
  })
}

// 删除洗眼器
export function delEyewash(id) {
  return request({
    url: '/dev/eyewash/' + id,
    method: 'delete'
  })
}
